package com.cpp.web.service.station.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.station.WindTurbineInfo;
import com.cpp.web.mapper.station.WindTurbineInfoMapper;
import com.cpp.web.service.station.WindTurbineInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * cpp_wind_turbine_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Service
public class WindTurbineInfoServiceImpl extends ServiceImpl<WindTurbineInfoMapper, WindTurbineInfo> implements WindTurbineInfoService {
    @Override
    public QueryWrapper<WindTurbineInfo> getByStationCode(String stationCode) {
        QueryWrapper<WindTurbineInfo> wrapper = new QueryWrapper<>();
        if (stationCode != null && !stationCode.equals("")) {
            wrapper.eq("station_code", stationCode);
        }
        return wrapper;
    }

    @Override
    public List<WindTurbineInfo> findByStationCode(String stationCode) {
        QueryWrapper<WindTurbineInfo> wrapper = new QueryWrapper<>();
        if (stationCode != null && !stationCode.equals("")) {
            wrapper.eq("station_code", stationCode);
        }
        return baseMapper.selectList(wrapper);
    }
}
